> ## Documentation Index
> Fetch the complete documentation index at: https://docs.doczilla.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Template

> Delete one template.



## OpenAPI

````yaml DELETE /v1/templates/{id}
openapi: 3.0.0
info:
  title: Doczilla
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.doczilla.app
    description: Production
security: []
tags: []
paths:
  /v1/templates/{id}:
    delete:
      tags:
        - Templates
      description: Delete one template.
      operationId: templates.delete
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '204':
          description: ''
        '400':
          description: Validations failed!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '402':
          description: Reached subscription limit!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionLimitReachedResponse'
        '403':
          description: Token has no active subscription!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '429':
          description: Too Many Requests!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - bearer: []
components:
  schemas:
    BadRequestResponse:
      type: object
      properties:
        message:
          type: string
          example: Validations failed!
        code:
          type: string
          example: api.validation
        fields:
          type: object
          additionalProperties:
            type: string
          example:
            page.url: must be a URL address
      required:
        - message
        - code
        - fields
    UnauthorizedResponse:
      type: object
      properties:
        message:
          type: string
          example: Unauthorized
      required:
        - message
    SubscriptionLimitReachedResponse:
      type: object
      properties:
        message:
          type: string
          example: Reached subscription limit!
      required:
        - message
    ForbiddenResponse:
      type: object
      properties:
        message:
          type: string
          example: Token has no active subscription!
      required:
        - message
    TooManyRequestsResponse:
      type: object
      properties:
        message:
          type: string
          example: Too Many Requests!
      required:
        - message
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: Internal server error
      required:
        - message
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````